<template>
  <div id="home">
    <v-toolbar
      dark
      color="#2f5d62"
      class="hidden-xs-and-down mb-12 fixed-bar"
      height="100vh"
      width="auto"
    >
      <img id="brain" src="../assets/brain.png" />
      <h1 id="brainText">המח</h1>
      <v-row id="logoRow" justify="end">
        <img id="logo" src="../assets/logoPolice.png" />
      </v-row>
      <v-spacer></v-spacer>
    </v-toolbar>

    <v-row justify="space-around">
      <v-container id="securityContainer" width="50vw" class="mr-1 mt-3">
        <security></security>
      </v-container>

      <v-container id="secondContainer">
        <v-row justify="space-around" width="50vw" class="mt-3 mr-5">
          <intelligence></intelligence>
          <v-col class="mr-10 pt-0">
            <v-card class="kpi" width="30vw" height="20vh" align="center">
              <h1 class="pt-12">
                מספר מבוקשים: {{ suspectsAndWantedCount.wantedCount }}
              </h1>
            </v-card>
            <v-card class="kpi mt-12" width="30vw" height="20vh" align="center">
              <h1 class="pt-12">
                מספר חשודים: {{ suspectsAndWantedCount.suspectsCount }}
              </h1>
            </v-card>
          </v-col>
        </v-row>

        <v-row justify="space-around" width="50vw" class="mt-16">
          <CalendarContainer></CalendarContainer>
          <Graphs></Graphs>
        </v-row>
      </v-container>
    </v-row>
    <Weather class="mx-auto mt-16"></Weather>
  </div>
</template>

<script>
import Security from "./Security";
import Intelligence from "./Intelligence";
import Graphs from "./Graphs";
import CalendarContainer from "./CalendarContainer";
import Weather from "./Weather";
import { mapGetters } from "vuex";

export default {
  name: "Home",
  components: {
    Security,
    Intelligence,
    Graphs,
    CalendarContainer,
    Weather
  },
  methods: {
    ...mapGetters(["getSuspectsAndWanted"])
  },
  computed: {
    suspectsAndWantedCount() {
      return this.getSuspectsAndWanted();
    }
  }
};
</script>

<style scoped>
#home {
  background: url("../assets/homeBackground.jpg") no-repeat center center fixed;
  background-size: cover;
  height: 200vh;
  max-width: 100vw;
}

#brain {
  width: 4%;
  margin-left: 1%;
}

#logo {
  width: 3.8%;
}

#brainText {
  font-size: 300%;
  color: #e1f3ee;
}

#logoRow {
  width: 85vw;
}

.fixed-bar {
  position: sticky;
  top: 0em;
  z-index: 50;
}

#securityContainer {
  width: 30vw;
  margin: 0%;
}

h1 {
  font-size: 5.5vh;
}

#secondContainer {
  width: 65vw;
  margin: 0% !important;
  padding: 0% !important;
}

#secondRow {
  width: 50vw !important;
  margin: 0% !important;
}

.kpi {
  margin-left: 0% !important;
  background-color: #dfeeea;
  opacity: 0.95;
}
</style>
